﻿using Syncfusion.UI.Xaml.NavigationDrawer;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using static System.Net.Mime.MediaTypeNames;

namespace Hierarchical_Data_Binding
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            ViewModel viewModel = new ViewModel();
            this.DataContext = viewModel;

            Style navigationItemStyle = new Style(typeof(NavigationItem));
            navigationItemStyle.Setters.Add(new Setter(NavigationItem.DisplayMemberPathProperty, "Item"));
            navigationItemStyle.Setters.Add(new Setter(NavigationItem.ItemsSourceProperty, new Binding("SubItems")));

            SfNavigationDrawer navigationDrawer = new SfNavigationDrawer();
            navigationDrawer.ItemsSource = viewModel.Items;
            navigationDrawer.DisplayMode = DisplayMode.Expanded;
            navigationDrawer.DisplayMemberPath = "Item";
            navigationDrawer.IconMemberPath = "Icon";
            navigationDrawer.ItemContainerStyle = navigationItemStyle;



            Label label = new Label();
            label.Content = "Content View";
            label.HorizontalAlignment = HorizontalAlignment.Center;
            label.VerticalAlignment = VerticalAlignment.Center;
            label.Height = 30;
            label.Width = 150;
            navigationDrawer.ContentView = label;


            Grid grid = new Grid();
            grid.Children.Add(navigationDrawer);
            this.Content = grid;


        }
    }
}
